package com.zoo.entity;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author DJ
 * @since 2024-05-18
 */
public class Animal implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 动物ID
     */
    private Integer aId;

    /**
     * 动物名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 种类
     */
    private String species;

    /**
     * 体重
     */
    private Double weight;

    /**
     * 身高
     */
    private Double height;

    /**
     * 状态（0正常 1异常）
     */
    private Integer state;

    /**
     * 饲养员ID
     */
    private Integer roleid;

    /**
     * 颜色
     */
    private String color;

    /**
     * 特征
     */
    private String features;

    /**
     * 成长阶段
     */
    private String phase;

    public Integer getaId() {
        return aId;
    }

    public void setaId(Integer aId) {
        this.aId = aId;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    public String getSpecies() {
        return species;
    }

    public void setSpecies(String species) {
        this.species = species;
    }
    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }
    public Double getHeight() {
        return height;
    }

    public void setHeight(Double height) {
        this.height = height;
    }
    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }
    public Integer getRoleid() {
        return roleid;
    }

    public void setRoleid(Integer roleid) {
        this.roleid = roleid;
    }
    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }
    public String getFeatures() {
        return features;
    }

    public void setFeatures(String features) {
        this.features = features;
    }
    public String getPhase() {
        return phase;
    }

    public void setPhase(String phase) {
        this.phase = phase;
    }

    @Override
    public String toString() {
        return "Animal{" +
                "aId=" + aId +
                ", name=" + name +
                ", sex=" + sex +
                ", species=" + species +
                ", weight=" + weight +
                ", height=" + height +
                ", state=" + state +
                ", roleid=" + roleid +
                ", color=" + color +
                ", features=" + features +
                ", phase=" + phase +
                "}";
    }
}
